apiVersion: self-node-remediation.medik8s.io/v1alpha1
kind: SelfNodeRemediationTemplate
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"self-node-remediation.medik8s.io/v1alpha1","kind":"SelfNodeRemediationTemplate","metadata":{"annotations":{},"name":"selfnoderemediationtemplate-sample","namespace":"openshift-machine-api"},"spec":{"template":{"spec":{"remediationStrategy":"ResourceDeletion"}}}}
    remediation.medik8s.io/multiple-templates-support: 'true'
  creationTimestamp: '2024-08-06T10:33:31Z'
  generation: 1
  managedFields:
    - apiVersion: self-node-remediation.medik8s.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
        'f:spec':
          .: {}
          'f:template':
            .: {}
            'f:spec':
              .: {}
              'f:remediationStrategy': {}
      manager: kubectl-client-side-apply
      operation: Update
      time: '2024-08-06T10:33:31Z'
  name: selfnoderemediationtemplate-sample
  namespace: openshift-machine-api
  resourceVersion: '522172'
  uid: 81492cbe-cb00-4df0-ae16-a94978ce28be
spec:
  template:
    spec:
      remediationStrategy: ResourceDeletion
